%global modulename class-utils

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-class-utils
Version:        0.3.6
Release:        1%{?dist}
Summary:        Utils for working with JavaScript classes and prototype methods.

License:        MIT
URL:            https://github.com/jonschlinkert/class-utils
Source0:        https://registry.npmjs.org/class-utils/-/class-utils-0.3.6.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(arr-union) >= 3.1.0 with npmlib(arr-union) < 4.0.0))
BuildRequires:  ((npmlib(define-property) >= 0.2.5 with npmlib(define-property) < 0.3.0))
BuildRequires:  ((npmlib(isobject) >= 3.0.0 with npmlib(isobject) < 4.0.0))
BuildRequires:  ((npmlib(static-extend) >= 0.1.1 with npmlib(static-extend) < 0.2.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Utils for working with JavaScript classes and prototype methods.

%package 0.3.6
Summary:        Utils for working with JavaScript classes and prototype methods.


%description 0.3.6
Utils for working with JavaScript classes and prototype methods.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 0.3.6
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 0.3.6-1
- Package automatically generated by npm2srpm
